CRAN Package Check Results for Package dendextend

Last updated on 2018-06-18 21:47:31 CEST.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 1.8.0 10.91 281.05 291.96 ERROR
r-devel-linux-x86_64-debian-gcc 1.8.0 10.55 246.28 256.83 ERROR
r-devel-linux-x86_64-fedora-clang 1.8.0 395.36 OK
r-devel-linux-x86_64-fedora-gcc 1.8.0 390.61 OK
r-devel-windows-ix86+x86_64 1.8.0 26.00 295.00 321.00 OK
r-patched-linux-x86_64 1.8.0 11.27 308.19 319.46 ERROR
r-patched-solaris-x86 1.8.0 450.50 WARN
r-release-linux-x86_64 1.8.0 10.26 304.04 314.30 ERROR
r-release-windows-ix86+x86_64 1.8.0 17.00 299.00 316.00 OK
r-release-osx-x86_64 1.8.0 WARN
r-oldrel-windows-ix86+x86_64 1.8.0 16.00 347.00 363.00 OK
r-oldrel-osx-x86_64 1.8.0 WARN

Check Details

Version: 1.8.0
Check: examples
Result: ERROR
    Running examples in ‘dendextend-Ex.R’ failed
    The error most likely occurred in:
    
    > base::assign(".ptime", proc.time(), pos = "CheckExEnv")
    > ### Name: collapse_branch
    > ### Title: Collapse branches under a tolerance level
    > ### Aliases: collapse_branch
    >
    > ### ** Examples
    >
    >
    > # # ladderize is like sort(..., type = "node")
    > dend <- iris[1:5,-5] %>% dist %>% hclust %>% as.dendrogram
    > par(mfrow = c(1,3))
    > dend %>% ladderize %>% plot(horiz = TRUE); abline(v = .2, col = 2, lty = 2)
    > dend %>% collapse_branch(tol = 0.2) %>% ladderize %>% plot(horiz = TRUE)
    > dend %>% collapse_branch(tol = 0.2) %>% ladderize %>%
    + hang.dendrogram(hang = 0) %>% plot(horiz = TRUE)
    >
    > par(mfrow = c(1,2))
    > dend %>% collapse_branch(tol = 0.2, lower = FALSE) %>% plot(horiz = TRUE, main = "dendrogram")
    > library(ape)
    
    Attaching package: ‘ape’
    
    The following objects are masked from ‘package:dendextend’:
    
     ladderize, rotate
    
    > dend %>% as.phylo %>% di2multi(tol = 0.2) %>% plot(main = "phylo")
    Error in UseMethod("as.phylo") :
     no applicable method for 'as.phylo' applied to an object of class "dendrogram"
    Calls: %>% ... eval -> _fseq -> freduce -> <Anonymous> -> as.phylo
    Execution halted
Flavors: r-devel-linux-x86_64-debian-clang, r-devel-linux-x86_64-debian-gcc, r-patched-linux-x86_64, r-release-linux-x86_64

Version: 1.8.0
Check: re-building of vignette outputs
Result: WARN
    Error in re-building vignettes:
     ...
    Warning in engine$weave(file, quiet = quiet, encoding = enc) :
     Pandoc (>= 1.12.3) and/or pandoc-citeproc not available. Falling back to R Markdown v1.
    
    ---------------------
    Welcome to dendextend version 1.8.0
    Type citation('dendextend') for how to cite the package.
    
    Type browseVignettes(package = 'dendextend') for the package vignette.
    The github page is: https://github.com/talgalili/dendextend/
    
    Suggestions and bug-reports can be submitted at: https://github.com/talgalili/dendextend/issues
    Or contact: <tal.galili@gmail.com>
    
     To suppress this message use: suppressPackageStartupMessages(library(dendextend))
    ---------------------
    
    
    Attaching package: 'dendextend'
    
    The following object is masked from 'package:stats':
    
     cutree
    
    Warning in engine$weave(file, quiet = quiet, encoding = enc) :
     Pandoc (>= 1.12.3) and/or pandoc-citeproc not available. Falling back to R Markdown v1.
    Warning in engine$weave(file, quiet = quiet, encoding = enc) :
     Pandoc (>= 1.12.3) and/or pandoc-citeproc not available. Falling back to R Markdown v1.
    Warning in engine$weave(file, quiet = quiet, encoding = enc) :
     Pandoc (>= 1.12.3) and/or pandoc-citeproc not available. Falling back to R Markdown v1.
    
    Attaching package: 'gplots'
    
    The following objects are masked from 'package:seriation':
    
     bluered, greenred
    
    The following object is masked from 'package:stats':
    
     lowess
    
    PhantomJS not found. You can install it with webshot::install_phantomjs(). If it is installed, please make sure the phantomjs executable can be found via the PATH variable.
    Quitting from lines 931-933 (introduction.Rmd)
    Error: processing vignette 'introduction.Rmd' failed with diagnostics:
    cannot open the connection
    Execution halted
Flavor: r-patched-solaris-x86

Version: 1.8.0
Check: re-building of vignette outputs
Result: WARN
    Error in re-building vignettes:
     ...
    
     cutree
    
    Warning in engine$weave(file, quiet = quiet, encoding = enc) :
     Pandoc (>= 1.12.3) and/or pandoc-citeproc not available. Falling back to R Markdown v1.
    Warning in engine$weave(file, quiet = quiet, encoding = enc) :
     Pandoc (>= 1.12.3) and/or pandoc-citeproc not available. Falling back to R Markdown v1.
    Warning in engine$weave(file, quiet = quiet, encoding = enc) :
     Pandoc (>= 1.12.3) and/or pandoc-citeproc not available. Falling back to R Markdown v1.
    
    Attaching package: 'gplots'
    
    The following objects are masked from 'package:seriation':
    
     bluered, greenred
    
    The following object is masked from 'package:stats':
    
     lowess
    
    PhantomJS not found. You can install it with webshot::install_phantomjs(). If it is installed, please make sure the phantomjs executable can be found via the PATH variable.
    Quitting from lines 931-933 (introduction.Rmd)
    Error: processing vignette 'introduction.Rmd' failed with diagnostics:
    cannot open the connection
    Execution halted
Flavors: r-release-osx-x86_64, r-oldrel-osx-x86_64

Version: 1.8.0
Check: Rd cross-references
Result: NOTE
    Package unavailable to check Rd xrefs: ‘WGCNA’
Flavor: r-oldrel-osx-x86_64